Bug 203799 - drac-fence fails to reboot latest drac/mc firmware
drac-fence fails to reboot latest drac/mc firmware
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-23 15:41 EDT by Joshua Giles
Modified: 2009-04-16 18:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:58:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Giles 2006-08-23 15:41:49 EDT
Description of problem:
RHTS installation instances have failed with the message
"Test was aborted by Scheduler
Netboot error: power-reset failed"

I've pulled the fenc-drac script and have had both success rebooting
and other times I've seen timeouts from pattern matching...it
appears the new drac fw may be spitting out more than what's
expected from time to time.

Version-Release number of selected component (if applicable):


How reproducible:
~50%

Steps to Reproduce:
1.Schedule an RHTS job(i.e. run fence_drac script) against a DRAC/MC w/firmware
v1.3; bpe1855-(1 or 10)
2. perl ~/scripts/fence_drac -a drac-1.lab.boston.redhat.com -l root -p calvin
-m Server-1 -o reboot

  
Actual results:
Occasionally:
"failed: telnet returned: pattern match timed-out"

Expected results:
"OK" and the server will be rebooted.

Additional info:
Comment 1 Jim Parsons 2006-11-14 10:48:41 EST
Researching...
Comment 2 Jim Parsons 2006-12-12 10:30:01 EST
The latest version of this agent has been commited to head and will be in 5.0
and 4.5. It works with the MC unit in the lab.
Comment 3 Kiersten (Kerri) Anderson 2007-04-23 12:52:05 EDT
Fixing Product Name.  Cluster Suite was merged into Red Hat Enterpise Linux for
5.0.  In addition dlm, fence and ccs were merged into the cman package, so
bugzilla should reflect package name where those utilities are located.
Comment 5 RHEL Product and Program Management 2007-05-01 12:31:03 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 RHEL Product and Program Management 2007-05-01 12:31:03 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2007-11-07 11:58:37 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0575.html

Note You need to log in before you can comment on or make changes to this bug.